var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';

var EnvironmentFlag = function (_React$PureComponent) {
  _inherits(EnvironmentFlag, _React$PureComponent);

  function EnvironmentFlag() {
    _classCallCheck(this, EnvironmentFlag);

    return _possibleConstructorReturn(this, (EnvironmentFlag.__proto__ || Object.getPrototypeOf(EnvironmentFlag)).apply(this, arguments));
  }

  _createClass(EnvironmentFlag, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          environment = _props.environment,
          environment_abbreviated = _props.environment_abbreviated;

      if (environment === 'production') return null;
      var flagClass = 'mdl-navigation__link nav__item environment environment--' + environment;
      return React.createElement(
        'div',
        { className: flagClass },
        React.createElement(
          'div',
          { className: 'environment__full' },
          environment
        ),
        React.createElement(
          'div',
          { className: 'environment__abbreviated' },
          environment_abbreviated
        )
      );
    }
  }]);

  return EnvironmentFlag;
}(React.PureComponent);

export default EnvironmentFlag;