var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import Step from '../components/wizard/step';

var WizardContainer = function (_React$PureComponent) {
  _inherits(WizardContainer, _React$PureComponent);

  function WizardContainer(props) {
    _classCallCheck(this, WizardContainer);

    var _this = _possibleConstructorReturn(this, (WizardContainer.__proto__ || Object.getPrototypeOf(WizardContainer)).call(this, props));

    Object.defineProperty(_this, 'renderStep', {
      enumerable: true,
      writable: true,
      value: function value(step, index) {
        return React.createElement(Step, _extends({ key: 'step_' + index, contentItemFieldLookup: _this.contentItemFieldLookup }, step));
      }
    });

    _this.contentItemFieldLookup = props.data.fields.reduce(function (lookup, field) {
      lookup[field.id] = field;
      return lookup;
    }, {});
    return _this;
  }

  _createClass(WizardContainer, [{
    key: 'render',
    value: function render() {
      var _props$data = this.props.data,
          steps = _props$data.steps,
          fields = _props$data.fields,
          content_item = _props$data.content_item,
          content_type = _props$data.content_type;


      return React.createElement(
        'div',
        null,
        steps.map(this.renderStep)
      );
    }
  }]);

  return WizardContainer;
}(React.PureComponent);

export default WizardContainer;