var ParentLookup = function ParentLookup(parent_id, tenantLookupTable, nameList) {
  if (parent_id === null) {
    return nameList;
  }
  var tenant = tenantLookupTable[parent_id];
  nameList.unshift(tenant.name);
  return ParentLookup(tenant.parent_id, tenantLookupTable, nameList);
};

var TenantAncestryList = function TenantAncestryList(parentTenant, tenantLookupTable) {
  return ParentLookup(parentTenant, tenantLookupTable, []);
};

export default TenantAncestryList;