var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import { FORM_VALID, FORM_INVALID, DISPLAY_VALIDATIONS } from '../constants/wizard';

var wizardReducer = function wizardReducer(_ref) {
  var wizard = _ref.wizard;

  var initialState = wizard;
  return function reducer() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
    var action = arguments[1];

    switch (action.type) {
      case FORM_VALID:
        return _extends({}, state, {
          form_valid: true
        });
      case FORM_INVALID:
        return _extends({}, state, {
          form_valid: false
        });
      case DISPLAY_VALIDATIONS:
        return _extends({}, state, {
          display_validations: true
        });
      default:
        return state;
    }
  };
};

export default wizardReducer;