var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import Field from './field';

var Column = function (_React$PureComponent) {
  _inherits(Column, _React$PureComponent);

  function Column(props) {
    _classCallCheck(this, Column);

    var _this = _possibleConstructorReturn(this, (Column.__proto__ || Object.getPrototypeOf(Column)).call(this, props));

    Object.defineProperty(_this, 'renderElements', {
      enumerable: true,
      writable: true,
      value: function value() {
        var _this$props = _this.props,
            contentItemFieldLookup = _this$props.contentItemFieldLookup,
            elements = _this$props.elements;

        return elements.filter(function (element) {
          return element.id;
        }).map(function (element, index) {
          var fieldItemId = element.id;
          return React.createElement(Field, _extends({ key: fieldItemId, field_item: element }, contentItemFieldLookup[fieldItemId]));
        });
      }
    });
    return _this;
  }

  _createClass(Column, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          heading = _props.heading,
          grid_width = _props.grid_width,
          display = _props.display,
          description = _props.description;


      return React.createElement(
        'div',
        { className: 'mdl-cell mdl-cell--' + grid_width + '-col' },
        description && React.createElement(
          'p',
          null,
          description
        ),
        this.renderElements()
      );
    }
  }]);

  return Column;
}(React.PureComponent);

export default Column;