var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import { connect } from 'react-redux';

import TenantSwitcherContainer from './tenant_switcher_container';
import WizardContainer from './wizard_container';

function select(state) {
  return { data: state };
}

var Layout = function (_React$PureComponent) {
  _inherits(Layout, _React$PureComponent);

  function Layout(props) {
    _classCallCheck(this, Layout);

    return _possibleConstructorReturn(this, (Layout.__proto__ || Object.getPrototypeOf(Layout)).call(this, props));
  }

  _createClass(Layout, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          data = _props.data,
          dispatch = _props.dispatch,
          temporary_render = _props.temporary_render;


      return React.createElement(
        'span',
        null,
        temporary_render === 'TenantSwitcher' && React.createElement(TenantSwitcherContainer, { dispatch: dispatch, railsContext: data.railsContext, data: data.session }),
        temporary_render === 'Wizard' && React.createElement(WizardContainer, { dispatch: dispatch, railsContext: data.railsContext, data: data.wizard })
      );
    }
  }]);

  return Layout;
}(React.PureComponent);

export default connect(select)(Layout);