import { compose, createStore, applyMiddleware, combineReducers } from 'redux';
import logger from 'redux-logger';

import GetReducers from '../reducers';

export default (function (props, railsContext) {
  var reducers = GetReducers(props, railsContext);
  var reducer = combineReducers(reducers);

  var composedStore = compose(applyMiddleware(logger));

  return composedStore(createStore)(reducer);
});